glib-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Manages events in the main context.
- Constructor
  Create a new instance.
  This is the default constructor for .
- Constructor
  To be added.
  To be added.
  To be added.
- Property
  GLib.MainContext Returns the default main context.
- Property
  System.Int32 Nesting level of the currently executing main loop. A count of main loop levels.
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Int32 To be added. To be added. To be added.
- Property
  System.IntPtr To be added. To be added. To be added.
- Property
  System.Boolean Checks if any sources have pending events for the given context. An object of type
- Method
  System.Boolean Runs a single iteration for the given main loop. an object of type This is a convenience overload for with passed in.
- Method
  System.Boolean `` an object of type Runs a single iteration for the given main loop. an object of type This is a convenience function for GLib.MainContext.Default.RunIteration(may_block).
- Method
  System.Boolean Checks if any sources have pending events for the given context. an object of type This is a convenince function for GLib.MainContext.Default.HasPendingEvents.
- Method
  System.Void To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Boolean Runs a single iteration for the given main loop. if successful. This is a convenience overload for GLib.MainContext.Default.RunIteration(System.Boolean) with passed in.
- Method
  System.Boolean `` To be added. Runs a single iteration for the given main loop. if successful. This involves checking to see if any event sources are ready to be processed, then if no events sources are ready and is , waiting for a source to become ready, then dispatching the highest priority events sources that are ready. Note that even when is , it is still possible for g_main_context_iteration() to return , since the the wait may be interrupted for other reasons than an event source becoming ready.
- Property
  GLib.MainContext Returns the default MainContext for the current thread. If none exists, one will be created. To be added. When being called from the Gtk# main loop, returns .
- Method
  System.Void To be added. To be added.